/* Copyright (C) 2003 Alex de Landgraaf <alextreme@xs4all.nl>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glib.h>
#include <stdio.h>
#include <stdarg.h>
#include "installer.h"
#include "instlib.h"
#include "cmdline.h"
#include "args.h"

int debug(const char *fmt, ...) {
        int d;
        va_list args;

	va_start(args, fmt);
        if (debug_switch == 1) {
                d = vfprintf(stdout,fmt,args);
                va_end(args);

                return d;
	}
        va_end(args);

	      return 0;
}

int
main (int argc, char *argv[])
{
	int cmdline = 0;
	debug_switch = 0;
	if (!check_args(&argc, &argv)) {
		print_help();
		return 1;
	}
	if (cmdlineargs.ui_set == TRUE && cmdlineargs.ui_type == UI_AUTO_TYPE) {
/* Auto works only when root, swap, hdd, nopart, fstype, hostname, rootpass, user, and a lilo option are set. If not, you will need to supply input (for now) */
		if (cmdlineargs.harddisk_set == FALSE ||
		    cmdlineargs.no_partitioning == FALSE ||
		    cmdlineargs.hostname_set == FALSE ||
		    cmdlineargs.rootpass_set == FALSE ||
		    cmdlineargs.user_set == FALSE ||
		    cmdlineargs.lilo_set == FALSE) {
			printf("Auto install doesn't have the necessary commandline arguments\n");
			print_help();
			return 1;
		}
	}
	StoreKernelVersion();
	start_cmdline_iface();
	return 0;
}

