/* Copyright (C) 2003 Alex de Landgraaf <alextreme@xs4all.nl>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef INSTALLER_H
#define INSTALLER_H

// #define INSTALLER_VERSION 0.1

// #define FS_MINIMUM 350
// #define SWAP_MINIMUM 32

// #define TEMPLATE_FILENAME "knx-templates-0.37.tgz"

#define ROOT_MOUNTPOINT "/mnt/target"
#define LOOP_MOUNTPOINT_1 "/tmp/l1"
#define LOOP_MOUNTPOINT_2 "/tmp/l2"

#define TEMPLATE_DIR "/tmp/templates"

#define TMP_FILENAME "/tmp/hdinst.tmp"

#include <glib.h>

gint debug_switch;

/* Ability for cli/gui switching disabled */
#define UI_CMDLINE_TYPE 0
#define UI_GTK_TYPE 1
#define UI_AUTO_TYPE 2

/* Save all options given on the commandline */
struct cmdlineargs_struct {
	gchar rootpart[16];
	gchar swappart[16];
	gchar harddisk[16];
	gchar partitioner[64];
	gchar fs[16];
	gchar hostname[64];
	gchar rootpass[64];
	gchar username[64];
	gchar userpass[64];

	gboolean no_partitioning;
	gboolean no_swap_partition;
	gboolean swappart_set;
	gboolean rootpart_set;
	gboolean harddisk_set;
	gboolean partitioner_set;
	gboolean fs_set;
	gboolean hostname_set;
	gboolean rootpass_set;
	gboolean user_set;
	gboolean lilo_set;
	gboolean ui_set;

	gint ui_type;
	gint lilo_type;
} cmdlineargs;

/* simple printf-replacement */
int debug(const char *fmt, ...);

#endif
